#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = __importDefault(require("chalk"));
const update_notifier_1 = __importDefault(require("update-notifier"));
const pkg = require('./../package.json');
(0, update_notifier_1.default)({ pkg }).notify();
const Logger_1 = require("./common/Logger");
const commands_1 = require("./commands");
const SettingsManager_1 = require("./common/SettingsManager");
const settings = SettingsManager_1.SettingsManager.createSettings();
const pipeline = new commands_1.Pipeline(settings, new commands_1.CreateWebPackExtendFile(), new commands_1.PatchGulpFile(), new commands_1.PatchPackageJson(), new commands_1.PatchGitIgnoreFile());
Logger_1.logger.newLine();
pipeline.execute();
Logger_1.logger.success(chalk_1.default.green('All done!'));
Logger_1.logger.newLine();
const message = 'Now restore dependecies (\'npm install\' for npm) and execute \'npm run serve\' afterwards.';
Logger_1.logger.info(chalk_1.default.bgMagenta.white(message));
//# sourceMappingURL=index.js.map